Subject: Re: bug#36961: Can't use microphone in ungoogled-chromium

From: Brian Leung <[email-masked]>
Date: Wed, 4 Sep 2019 21:39:38 +0200

Hi Marius,

I'm getting a build error with the latest push. I've attached the log;
anyone else have the same issue?

Thanks,
Brian

On Wed, Sep 4, 2019 at 1:39 PM Mathieu Lirzin <[email-masked]> wrote:

> Hello Marius,
>
> Marius Bakke <[email-masked]> writes:
>
> > Pierre Neidhardt <[email-masked]> writes:
> >
> >> In Chromium if you click on the camera button right of the address bar,
> >> you can see the per-domain permissions.  In my case, they are granted
> >> to meet.jit.si.
> >>
> >> The compile-time configuration javascript that Jack mentioned might have
> >> something to do with this.
> >
> > Hello!
> >
> > Sorry for the slow response here...
> >
> > I can confirm that removing audio_capture_enabled from
> > master_preferences.json solves this issue.  Fix pushed in
> > 5ee1c0459eebdd3b7771abaeab0f0b52ff86fdd5.
> >
> > For existing Chromium profiles, you will need to close all browser
> > windows and run
> >
> >  sed -i 's/"audio_capture_enabled":false/"audio_capture_enabled":true/' \
> >      ~/.config/chromium/Default/Preferences
> >
> > ...to get the new default.
>
> This fix worked for me, thank you very much!
>
> --
> Mathieu Lirzin
> GPG: F2A3 8D7E EB2B 6640 5761  070D 0ADE E100 9460 4D37
>